Forum OpenACS Q&A: Re: tDOM install on debian, cannot find tcl config defs

Collapse
Posted by Andrew Piskorski on
Torben, you are using the wrong version of Tcl. AFAIK AOLserver 4.0 requires Tcl 8.4.x, built with threads, is not supposed to work at all with Tcl 8.3.x, and certainly is not supposed to work with a Tcl 8.3.x that hasn't been built with threads support!

I don't think this has anything to do with your current problem, but you are asking for trouble trying to use the Tcl 8.3.3-7 from Debian 3.0 with AOLserver 4.0. Install the latest Tcl 8.4.x instead.